

# Module hex_api_organization #
* [Function Index](#index)
* [Function Details](#functions)

<a name="index"></a>

## Function Index ##


<table width="100%" border="1" cellspacing="0" cellpadding="2" summary="function index"><tr><td valign="top"><a href="#get-1">get/1</a></td><td>
Gets an organzation.</td></tr><tr><td valign="top"><a href="#list-1">list/1</a></td><td>
Lists all organizations you are member of.</td></tr><tr><td valign="top"><a href="#update-2">update/2</a></td><td>
Updates the number of seats in an organzation.</td></tr></table>


<a name="functions"></a>

## Function Details ##

<a name="get-1"></a>

### get/1 ###

<pre><code>
get(Config::<a href="hex_core.md#type-config">hex_core:config()</a>) -&gt; <a href="hex_api.md#type-response">hex_api:response()</a>
</code></pre>
<br />

Gets an organzation.

Examples:

```
  > hex_api_organization:get(hex_core:default_config()#{api_organization => <<"acme">>}).
  {ok, {200, ..., #{
       <<"billing_active">> => true,
       <<"inserted_at">> => <<"2017-08-22T22:19:53Z">>,
       <<"name">> => <<"acme">>,
       <<"seats">> => 42,
       <<"updated_at">> => <<"2019-01-18T08:47:29Z">>}
       }}}
```

<a name="list-1"></a>

### list/1 ###

<pre><code>
list(Config::<a href="hex_core.md#type-config">hex_core:config()</a>) -&gt; <a href="hex_api.md#type-response">hex_api:response()</a>
</code></pre>
<br />

Lists all organizations you are member of.

Examples:

```
  > hex_api_organization:list(hex_core:default_config()#{api_organization => <<"acme">>}).
  {ok, {200, ..., [#{
       <<"billing_active">> => true,
       <<"inserted_at">> => <<"2017-08-22T22:19:53Z">>,
       <<"name">> => <<"acme">>,
       <<"updated_at">> => <<"2019-01-18T08:47:29Z">>}
       }]}}
```

<a name="update-2"></a>

### update/2 ###

<pre><code>
update(Config::<a href="hex_core.md#type-config">hex_core:config()</a>, Seats::pos_integer()) -&gt; <a href="hex_api.md#type-response">hex_api:response()</a>
</code></pre>
<br />

Updates the number of seats in an organzation.

Examples:

```
  > hex_api_organization:get(hex_core:default_config()#{api_organization => <<"acme">>}, 42).
  {ok, {200, ..., #{
       <<"billing_active">> => true,
       <<"inserted_at">> => <<"2017-08-22T22:19:53Z">>,
       <<"name">> => <<"acme">>,
       <<"seats">> => 42,
       <<"updated_at">> => <<"2019-01-18T08:47:29Z">>}
       }}}
```

