

# Module hex_api_package #
* [Function Index](#index)
* [Function Details](#functions)

<a name="index"></a>

## Function Index ##


<table width="100%" border="1" cellspacing="0" cellpadding="2" summary="function index"><tr><td valign="top"><a href="#get-2">get/2</a></td><td>
Gets a package.</td></tr><tr><td valign="top"><a href="#search-3">search/3</a></td><td>
Searches packages.</td></tr></table>


<a name="functions"></a>

## Function Details ##

<a name="get-2"></a>

### get/2 ###

<pre><code>
get(Config::<a href="hex_core.md#type-config">hex_core:config()</a>, Name::binary()) -&gt; <a href="hex_api.md#type-response">hex_api:response()</a>
</code></pre>
<br />

Gets a package.

Examples:

```
  > hex_api_package:get(hex_core:default_config(), <<"package">>).
  {ok, {200, ..., #{
      <<"name">> => <<"package1">>,
      <<"meta">> => #{
          <<"description">> => ...,
          <<"licenses">> => ...,
          <<"links">> => ...,
          <<"maintainers">> => ...
      },
      ...,
      <<"releases">> => [
          #{<<"url">> => ..., <<"version">> => <<"0.5.0">>}],
          #{<<"url">> => ..., <<"version">> => <<"1.0.0">>}],
          ...
      ]}}}
```

<a name="search-3"></a>

### search/3 ###

<pre><code>
search(Config::<a href="hex_core.md#type-config">hex_core:config()</a>, Query::binary(), SearchParams::[binary()]) -&gt; <a href="hex_api.md#type-response">hex_api:response()</a>
</code></pre>
<br />

Searches packages.

Examples:

```
  > hex_api_package:search(hex_core:default_config(), <<"package">>, []).
  {ok, {200, ..., [
      #{<<"name">> => <<"package1">>, ...},
      ...
  ]}}
```

